using System;
using System.Runtime.CompilerServices;

class poklon
{
    static bool neopadajuci(int[] a, int n, int j, ref int b)
    {
        if (n == j)
            return true;
        for (int i = j; i < n; i++)
        {
            if (a[i - 1] > a[i] && b!=i-1)
            {
                b = i - 1;
                return false;
            }
        }
        return true;
    }

    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        int[] a = new int[n];
        string[] s = Console.ReadLine().Split();     
        for(int i=0; i<n; i++)
        {
            a[i] = int.Parse(s[i]);
        }
        int q = int.Parse(Console.ReadLine());
        for(int i=0; i<q; i++)
        {
            string[] st = Console.ReadLine().Split();
            int l = int.Parse(st[0]);
            int r = int.Parse(st[1]);
            int b = -3;
            if(neopadajuci(a,r,l,ref b))
            {
                Console.WriteLine("DA");
            }
            else
            {
                if(neopadajuci(a, r, l, ref b))
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
            }
        }
        //t h = int.Parse(Console.ReadLine());
    }
}